> For the complete documentation index, see [llms.txt](https://docs.opshub.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.opshub.com/v7.237/mbse-connector-sdk-index/mbse-sdk-connector-apis/registration-apis/discovery-api-get.md).

# Discover SDK

### Overview

Returns the connector discovery details.

When registering a connector in OIM, OIM will call this API for each registered MBSE SDK API Base URL to ensure that the URL points to an MBSE SDK implementation. In case of load balancing, you can host the same MBSE SDK connector on multiple servers and register each server URL in OIM. OIM will verify if each registered MBSE SDK API Base URL has the same discovery details, i.e., the same `connectorName` and `connectorVersion`.

### API URI

OpsHub will execute the following API:

```http
GET: /mbse/api/1.0/discover
```

### Response Payload

```json
{
  "connectorName": "Rhapsody",
  "connectorVersion": "1.0.0"
}
```

### Response Parameters

| Name             | Required | Type   | Description                                                                                                                                                                           |
| ---------------- | -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| connectorName    | True     | String | Name of the connector implementation. It can be the name of the end system for which the MBSE SDK is implemented.                                                                     |
| connectorVersion | True     | String | Version of the connector implementation. Version can be incremented each time a new feature is implemented in MBSE SDK, and it is being used for integration in OIM at the same time. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.opshub.com/v7.237/mbse-connector-sdk-index/mbse-sdk-connector-apis/registration-apis/discovery-api-get.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
